mconv_decode(3m17n)

NAME
mconv_decode - Decode a byte sequence into an M-text.

SYNOPSIS
MText* mconv_decode (MConverter * converter, MText * mt)

DESCRIPTION
Decode a byte sequence into an M-text.

The mconv_decode() function decodes a byte sequence and appends the result at the end of M-text mt. The source byte sequence is taken from either the buffer area or the stream that is currently bound to converter.

RETURN VALUE

    If the operation was successful, mconv_decode() returns updated mt. Otherwise it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_IO, MERROR_CODING

SEE ALSO

    mconv_rebind_buffer(), mconv_rebind_stream(), mconv_encode(), mconv_encode_range(), mconv_decode_buffer(), mconv_decode_stream()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.